package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag700;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT700Creator;

/**
 * @author hedonghao
 * @date 2023/2/20
 */
public class Tag47ACreator extends AbsTagCreate {

    private MT700Creator mt700Creator;

    public Tag47ACreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt700Creator= (MT700Creator) absMTCreator;
    }

    public  void creator()
    {
        String tag47ACValue = mt700Creator.getAdditionalConditions();
        mt700Creator.set("47A", tag47ACValue);
    }
}
